org.apache.ode.bpel.intercept

## Class ProcessCountThrottler

- java.lang.Object
- - org.apache.ode.bpel.intercept.NoOpInterceptor
  - - org.apache.ode.bpel.intercept.ProcessCountThrottler

- All Implemented Interfaces:
    MessageExchangeInterceptor

      public class ProcessCountThrottler
      extends NoOpInterceptor

  An example of a simple interceptor providing a "throttling" capability - that is an ability to limit the size of processes created in a server.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.intercept.MessageExchangeInterceptor

      `MessageExchangeInterceptor.InterceptorContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessCountThrottler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onJobScheduled(MyRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the message is scheduled, before any attempt to invoke the BPEL server is made.

    - ### Methods inherited from class org.apache.ode.bpel.intercept.NoOpInterceptor

      `onBpelServerInvoked, onNewInstanceInvoked, onPartnerInvoked, onProcessInvoked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessCountThrottler

          public ProcessCountThrottler()

  - ### Method Detail

    - #### onJobScheduled

          public void onJobScheduled(MyRoleMessageExchange mex,
                                     MessageExchangeInterceptor.InterceptorContext ic)
                              throws FailMessageExchangeException,
                                     FaultMessageExchangeException

      Description copied from interface: `MessageExchangeInterceptor`
      Called when the message is scheduled, before any attempt to invoke the BPEL server is made.
      Specified by:
        `onJobScheduled` in interface `MessageExchangeInterceptor`
      Overrides:
        `onJobScheduled` in class `NoOpInterceptor`
      Parameters:
        `mex` - message exchange
      Throws:
        `FailMessageExchangeException`
        `FaultMessageExchangeException`